LinuxQuestions.org
Visit the LQ Articles and Editorials section
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Linux Deepin
User Name
Password
Linux Deepin This forum is for the discussion of Linux Deepin.

Notices


Reply
  Search this Thread
Old 07-04-2014, 03:58 AM   #1
Nieuwkoop-75
LQ Newbie
 
Registered: Jul 2014
Posts: 7

Rep: Reputation: Disabled
Latest Deepin 2014 RC update disabled Deepin SW Center


Updated Deepin 2014 RC using Deepin SW Center and this disabled it. Clicking the icon does not start it anymore. The same happened to the Ubuntu SW Center.
Any ideas how to get this fixed? Or how to start it in the Terminal?
 
Old 07-05-2014, 05:47 AM   #2
heffo_j
Member
 
Registered: Jan 2005
Location: Caboolture, Oz
Distribution: Linux-Lite, Deepin, Ubuntu
Posts: 147

Rep: Reputation: 16
Did you try typing
Quote:
deepin-software-center
in the terminal. That works in 2013.

Last edited by heffo_j; 07-05-2014 at 05:48 AM.
 
Old 07-05-2014, 07:58 AM   #3
Nieuwkoop-75
LQ Newbie
 
Registered: Jul 2014
Posts: 7

Original Poster
Rep: Reputation: Disabled
Yes I did try deepin-software-center in terminal and got error messages like missing dependancies. "apt-get update or upgrade" works but installing applications like e.g. audacity in terminal with "apt-get install audacity" gives same error messages. This is also the case when using synaptic. So if the problem is not fixed I cannot install any new application and there are still a number I would like to use.
I forgot to mention that I am using the 64bit version of Deepin 2014 RC.
 
Old 07-06-2014, 05:29 PM   #4
heffo_j
Member
 
Registered: Jan 2005
Location: Caboolture, Oz
Distribution: Linux-Lite, Deepin, Ubuntu
Posts: 147

Rep: Reputation: 16
Well I was about to say it is a problem with the repositories, but as you say in, terminal you are able to do the updates. What happens if you try and install a .deb file with gdebi?
 
Old 07-07-2014, 07:28 AM   #5
Nieuwkoop-75
LQ Newbie
 
Registered: Jul 2014
Posts: 7

Original Poster
Rep: Reputation: Disabled
Have done "sudo apt-get dist-upgrade" as suggested by the Chinese English Talk Forum and this stopped at "unpacking xchat". Tried again a day later and it then completed the process without error messages.
However the Deepin Software Center is still disabled but it is now possible to install applications using Synaptic and Terminal. Have not tried gdebi because I have no deb files to install. Before the DSC problem it worked when installing scanner drivers.
This is what I get when running DSC in terminal.

carel@carel-E145E:~$ deepin-software-center
<class 'Xlib.protocol.request.QueryExtension'>
INFO Init ui
Traceback (most recent call last):
File "/usr/bin/deepin-software-center", line 83, in <module>
start_main()
File "/usr/bin/deepin-software-center", line 63, in start_main
software_center.run()
File "/usr/share/deepin-software-center/ui/software_center.py", line 1132, in run
self.ready_show()
File "/usr/share/deepin-software-center/ui/software_center.py", line 878, in ready_show
self.init_ui()
File "/usr/share/deepin-software-center/ui/software_center.py", line 833, in init_ui
self.init_home_page()
File "/usr/share/deepin-software-center/ui/software_center.py", line 914, in init_home_page
bus_object = self.system_bus.get_object(DSC_SERVICE_NAME, DSC_SERVICE_PATH)
File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 241, in get_object
follow_name_owner_changes=follow_name_owner_changes)
File "/usr/lib/python2.7/dist-packages/dbus/proxies.py", line 248, in __init__
self._named_service = conn.activate_name_owner(bus_name)
File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 180, in activate_name_owner
self.start_service_by_name(bus_name)
File "/usr/lib/python2.7/dist-packages/dbus/bus.py", line 278, in start_service_by_name
'su', (bus_name, flags)))
File "/usr/lib/python2.7/dist-packages/dbus/connection.py", line 651, in call_blocking
message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1
carel@carel-E145E:~$

It's too complicated for me.
 
Old 07-08-2014, 08:42 PM   #6
heffo_j
Member
 
Registered: Jan 2005
Location: Caboolture, Oz
Distribution: Linux-Lite, Deepin, Ubuntu
Posts: 147

Rep: Reputation: 16
I hate to tell you this, but Deepin 2014 "Final" has many problems. The Software Center causes a lot of head-aches. It is only useful for installing individual apps (at the moment). To do an update and upgrade I suggest using terminal.

There are other VERY SERIOUS problems with Software Center: 1) Many of your favourite apps, although listed in the GUI are blocked from installing because they will crash Control Center. e.g. WICD, Blueman, Grub Customizer are a few that I have tried. 2) I have found that there is NO WAY to add extra download sources to the Software Center (or Synaptic if you can get it). This means I have no printer or scanner. Even after using Terminal and command line the Software Center will not accept the extra sources. I even manually put them into /etc/apt/sources.list and manually installed the security keys but STILL the added source will not load the packages I'm after. I haven't tried a PPA yet to see if they work (not that there is one from my printer's http site).

And not to mention a real game changer: Nvidia and Raedon cards will not work.

In short, I am very disappointed with the early release of this disto with so many problems unsolved. It is Beta 2 at best. I recommend installing Deepin 20123.1. It is a far better that the current "Final" release.
 
Old 07-09-2014, 10:19 AM   #7
Nieuwkoop-75
LQ Newbie
 
Registered: Jul 2014
Posts: 7

Original Poster
Rep: Reputation: Disabled
Thanks for your help Heffo.
I opted for his distribution because it did not need any additional drivers to make WiFi and Bleutooth work.
Managed to install my Brother MFC-465CN using .deb packages from Brother and instructions from the German Ubuntu site.
Have this thread also posted on the Chinese "English Talk" forum and hope they come with a solution.
In the mean time I will do an occasional apt-get dist-upgrade hoping it will eventually solve the issue.
 
Old 07-16-2014, 02:42 AM   #8
cxbii
LDcontributor
 
Registered: Aug 2012
Location: china
Distribution: LinuxDeepin
Posts: 120

Rep: Reputation: Disabled
Hello. I am from Deepin team. Please execute this command: "sudo apt-get update && sudo apt-get --reinstall install deepin-software-center deepin-software-center-date" in the terminal. If it still doesn't work, please tell me the output after you execute this command.
 
Old 07-22-2014, 10:03 AM   #9
Nieuwkoop-75
LQ Newbie
 
Registered: Jul 2014
Posts: 7

Original Poster
Rep: Reputation: Disabled
Tried the command as suggested by CXBII and it showed a fair number of error messages. The terminal output is about 8 pages long and I am not sure if this is OK for this forum. I could mail the text file provided I get a mail address to mail it to.

Unfortunately it did not solve the problem.
 
Old 07-22-2014, 10:48 AM   #10
rokytnji
Senior Member
 
Registered: Mar 2008
Location: Waaaaay out West Texas
Distribution: AntiX 15 , Linux-Lite 2.4, SaliX 14.1, ChromeOS
Posts: 3,310
Blog Entries: 19

Rep: Reputation: 1085Reputation: 1085Reputation: 1085Reputation: 1085Reputation: 1085Reputation: 1085Reputation: 1085Reputation: 1085
Quote:
Originally Posted by Nieuwkoop-75 View Post
Tried the command as suggested by CXBII and it showed a fair number of error messages. The terminal output is about 8 pages long and I am not sure if this is OK for this forum. I could mail the text file provided I get a mail address to mail it to.

Unfortunately it did not solve the problem.
Just a suggestion

Quote:
Please note that uploaded files must be in text format, and may not exceed 150,000 bytes.

http://pastebin.ca/upload.php

150 000 bytes =
150 kilobytes

Hopefully that is enough.
 
Old 07-23-2014, 10:01 AM   #11
Nieuwkoop-75
LQ Newbie
 
Registered: Jul 2014
Posts: 7

Original Poster
Rep: Reputation: Disabled
Terminal Output

Have attached the Terminal Output txt file to this reply. Wonder if it starts a new thread but it should belong to thread "Deepin Software Center Disabled"
Attached Files
File Type: txt 140722-DeepIn-SW-center-problem.txt (26.2 KB, 11 views)
 
Old 07-28-2014, 02:14 PM   #12
Mujadded
LQ Newbie
 
Registered: Jul 2014
Posts: 3

Rep: Reputation: Disabled
Please fix this problem soon.

Last edited by Mujadded; 07-28-2014 at 02:24 PM.
 
Old 10-16-2014, 03:48 AM   #13
Nieuwkoop-75
LQ Newbie
 
Registered: Jul 2014
Posts: 7

Original Poster
Rep: Reputation: Disabled
Have solved the Deepin problems the easy way by installing Linux Mint 17. Hope it develops less problems than Deepin.
Thanks for all responses and suggestions.
 
Old 01-04-2015, 10:51 PM   #14
thomas.raines
LQ Newbie
 
Registered: Jan 2015
Posts: 1

Rep: Reputation: Disabled
Hi all,

I know this is kind of an old thread and it is marked solved, but I don't think it really was solved. I was running Linux Mint 17 and DSC worked great, but I recently did a fresh install of Mint 17.1, and now I get the same error as in post #5 above. I have tried the suggestion from cxbii, but I still get the same error. I have also removed the ppa and re-added it, purged the entire install of DSC, and even added the ppa for saucy and installed deepin-software-center-2 (which generates it's own error). Nothing I have tried seems to work. Any help is appreciated...
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Deepin 2014 Alpha Be ready to embrace the New Deepin cxbii Linux Deepin 6 11-17-2014 08:06 PM
Weekly Update notes for Linux Deepin 2013 (03/19/2014) cxbii Linux Deepin 0 03-20-2014 11:44 AM
Weekly Update notes for Linux Deepin 2013 (03/12/2014) cxbii Linux Deepin 0 03-13-2014 11:44 AM
Weekly Update notes for Linux Deepin 2013 (03/05/2014) cxbii Linux Deepin 1 03-06-2014 06:37 AM


All times are GMT -5. The time now is 07:34 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration